# struct Debug::DWARF::Info

- Debug::DWARF::Info
- Struct
- Value
- Object

##
Defined in:

##
Constructors

- .new(io : IO::FileDescriptor, offset)

##
Instance Method Summary

- #abbreviations : Array(Abbrev)
- #abbreviations=(abbreviations : Array(Abbrev))
- #abbreviations? : Array(Abbrev)?
- #address_size : UInt8
- #address_size=(address_size : UInt8)
- #debug_abbrev_offset : UInt32 | UInt64
- #debug_abbrev_offset=(debug_abbrev_offset : UInt32 | UInt64)
- #dwarf64 : Bool
- #dwarf64=(dwarf64 : Bool)
- #each(&)
- #read_abbreviations(io)
- #unit_length : UInt32 | UInt64
- #unit_length=(unit_length : UInt32 | UInt64)
- #version : UInt16
- #version=(version : UInt16)

### Instance methods inherited from struct `Struct`

==(other) : Bool ==, hash(hasher) hash, inspect(io : IO) : Nil inspect, pretty_print(pp) : Nil pretty_print, to_s(io : IO) : Nil to_s

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, __crystal_pseudo_! : Bool __crystal_pseudo_!, __crystal_pseudo_as(type : Class) __crystal_pseudo_as, __crystal_pseudo_as?(type : Class) __crystal_pseudo_as?, __crystal_pseudo_is_a?(type : Class) : Bool __crystal_pseudo_is_a?, __crystal_pseudo_nil? : Bool __crystal_pseudo_nil?, __crystal_pseudo_responds_to?(name : Symbol) : Bool __crystal_pseudo_responds_to?, class class, dup dup, hash(hasher)
hash hash, inspect : String
inspect(io : IO) : Nil inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.new(io : IO::FileDescriptor, offset) #

##
Instance Method Detail

def abbreviations : Array(Abbrev) #
def abbreviations=(abbreviations : Array(Abbrev)) #
def abbreviations? : Array(Abbrev)? #
def address_size : UInt8 #
def address_size=(address_size : UInt8) #
def debug_abbrev_offset : UInt32 | UInt64 #
def debug_abbrev_offset=(debug_abbrev_offset : UInt32 | UInt64) #
def dwarf64 : Bool #
def dwarf64=(dwarf64 : Bool) #
def each(&) #
def read_abbreviations(io) #
def unit_length : UInt32 | UInt64 #
def unit_length=(unit_length : UInt32 | UInt64) #
def version : UInt16 #
def version=(version : UInt16) #